require "import"
import "android.widget.*"
import "com.androlua.*"

-- Definir los textos de los botones
local buttons = {
  "Signo numerador",
  "uno",
  "dos",
  "tres",
  "cuatro",
  "cinco",
  "seis",
  "siete",
  "ocho",
  "nueve",
  "cero",
  "Cancelar"
}

-- Definir los textos para el sintetizador de voz
local speechTexts = {
  "⠼ (Puntos 3, 4, 5 y 6)",
  "Punto 1",
  "Puntos 1 y 2",
  "Puntos 1 y 4",
  "Puntos 1, 4 y 5",
  "Puntos 1 y 5",
  "Puntos 1, 2 y 4",
  "Puntos 1, 2, 4 y 5",
  "Puntos 1, 2 y 5",
  "Puntos 2 y 4",
  "Puntos 2, 4 y 5",
  "Adiós"
}

-- Crear la cuadrícula de botones
local layout = {
  LinearLayout,
  orientation = "vertical",
  {
    TextView,
    layout_width = "match",
    layout_height = "wrap",
    text = "Números Braille",
    textSize = "20sp",
    gravity = "center",
    padding = "16dp"
  },
  {
    GridView,
    id = "grid",
    numColumns = 1,
    layout_width = "fill",
    layout_height = "fill"
  }
}

-- Crear el diálogo y cargar el diseño de la cuadrícula
local dlg = LuaDialog(service)
dlg.View = loadlayout(layout)

-- Crear el adaptador de texto para los botones
local adapter = SingleLineAdapter(service, String(buttons))
grid.adapter = adapter

-- Configurar la función de clic para los botones
grid.onItemClick = function(l, v, position)
  local index = position + 1 -- Obtener el índice del botón seleccionado
  local speechText = speechTexts[index] -- Obtener el texto correspondiente para el sintetizador de voz
  service.asyncSpeak(speechText) -- Activar el sintetizador de voz y hablar el texto

  if v.text == "Cancelar" then
    dlg.dismiss() -- Cerrar el diálogo al presionar el botón "Cancelar"
  end
end

-- Mostrar el diálogo
dlg.show()